package hpdos.message;

public class MessageConstants {

    public static final int INIT_VERSION = 0;
    public static final int INVALID_VERSION = -1;
    public static final int METADATA_ACCESS_PRIVATE = 700;
    public static final int METADATA_ACCESS_SHARED = 777;

    // 00 to 99 - Client Server Interaction operations
    public static final int PACKET_METADATA_REQUEST = 0;
    public static final int PACKET_METADATA_RESPONSE = 1;

    // Distinguishing ACK and NACK packets
    public static final int STATUS_OK = 200;
    public static final int STATUS_UNAUTHORIZED_PRIVATE_KEY_ACCESS = 401;
    public static final int STATUS_REPLICATION_FAILED = 402;
    public static final int STATUS_SERVER_NOT_MASTER = 403;
    public static final int STATUS_KEY_NOT_FOUND = 404;
    public static final int STATUS_REPLICATION_TIMEOUT = 405;
    public static final int STATUS_IO_WRITE_FAILED = 406;
    public static final int STATUS_KEY_EXISTS = 407;
    public static final int STATUS_UPDATE_VERSION_MISMATCH = 408;

    // 100 to 199 - HPDOS System internal operations
    public static final int MASTER_HEARTBEAT = 100;
    public static final int METADATA_CREATE = 101;
    public static final int METADATA_READ = 102;
    public static final int METADATA_UPDATE = 103;
    public static final int METADATA_DELETE = 104;

}
